program procedura;

 var r,r1,s2:integer;  

//---------------------------------------------------
 procedure zv(a,b:integer; var s:integer); //Допустим, тебе нужно выполнить действие с какими то переменными, которые находятся вне процедуры
   begin       // для этого создай процедуру, а процедурные переменные укажи в скобках, после названия процедуры
  //если ты хочешь, чтобы в последствии этой процедуры изменилась глобальная переменная, указывай её как я указал s, но лучше используй функции.
    s:=a+b;   //<-- собственно само действие, которое нужно совершить с глобальными переменными,
              // ты указываешь тут, только вместо глобальных - процедурные, которые ты указал в скобках
    WriteLn(a,' ',b);
   end;       

//------------------------------------------------ 

 begin
  r:=random(5000000);
  r1:=random(5000000); // тут, собственно, глобальные переменные, с которыми нужно выполнить действие
  WriteLn(r,' ',r1);
  zv(r,r1,s2);
  WriteLn('Сумма рандомных чисел = ',s2);
 end.
 